CHECK_CREATE(9)

NAME
check_create - [GENERIC] create and write bbt(s) if neccecary

SYNOPSIS

int check_create (struct mtd_info * mtd, uint8_t * buf, struct nand_bbt_descr * bd);

ARGUMENTS

mtd MTD device structure

buf temporary buffer

bd  descriptor for the good/bad block search pattern

DESCRIPTION

The function checks the results of the previous call to read_bbt and creates / updates the bbt(s) if neccecary Creation is neccecary if no bbt was found for the chip/device Update is neccecary if one of the tables is missing or the version nr. of one table is less than the other

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.